ATI Hardware Accelerated Graphics Driver FGLRX will not install or at least CAN NOT be Enabled

Bug #267323 reported by Larry Martin on 2008-09-07
This bug report is a duplicate of:  Bug #262819: Jockey doesn't offer fglrx. Edit Remove
12
Affects Status Importance Assigned to Milestone
jockey (Ubuntu)
Undecided
Unassigned

Bug Description

ATI HARDWARE ACCELERATED GRAPHICS DRIVER FGLRX WILL NOT INSTALL OR AT LEAST CAN NOT BE ENABLED:

I have alpha 5 installed on a Sempron 2400 1.5GB DDR SDRAM 8x AGP 256MB ATI Radeon x1300 Pro PC w/all the available updates. The Synaptic Pkg. Mgr. indicates that the FGLRX Ati Radeon Open Source Driver is installed w/all the necessary dependencies.

However, whenever I go to the "Hardware Drivers" Window and select to "Enable" it, it will not. I check the "Enable" Box. It then asks for my Administrator Password. After I enter the password, the "Enable" box does NOT show a check in it.

If I go to the Appearance Window w/in Preferences and select either "Normal" or "Extra" w/in the Visual Effects Tab I get the following error msg. "Desktop Effects Could Not Be Enabled."

I am having a similar problem and have filed a bug report, in my Hardware Drivers section I cannot see an ATI card at all.

I am running Intrepid a5 as well, with ATI Radeon X1950 card, and for some reason Nvidia drivers seem to have crept onto to the system, no fualt of my own...strange

Stuart Bishop (stub) wrote :

I see this under current Hardy on a Dell 8600 with ATI Radeon Mobility 9600 graphics chipset.

Stapel (wstapelberg) wrote :

I can confirm this bug in Ubuntu 8.10.

The driver appears as "ATI/AMD proprietary FGLRX graphics driver" in the Hardware Drivers section, but can not be enabled.

This is what I get when I probe for my card on the cli:
xapel@dell-desktop:~$ lspci | grep " ATI"
01:00.0 VGA compatible controller: ATI Technologies Inc RV610 video device [Radeon HD 2400 PRO]

From reading posts on the forums and looking at the ATI website, it looks like the proprietary driver is not compatible with the version of Xorg (7.4) in use with Ubuntu 8.10.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers